/*!
 * KoliBri - The accessible HTML-Standard
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0});const index=require("./index-1810fc86.js"),events=require("./events-221fcb43.js"),dev_utils=require("./dev.utils-080a1cf0.js"),controller=require("./controller-59d57d18.js"),associated_controller=require("./associated.controller-e7a1e9af.js"),componentNames=require("./component-names-7808fb62.js"),accessAndShortKey=require("./access-and-short-key-4b185f62.js"),prop_validators=require("./prop.validators-37d21dea.js"),Span=require("./Span-dbb9d1bd.js"),ariaExpanded=require("./aria-expanded-6f9152b4.js"),reuse=require("./reuse-8cfefa9b.js"),customClass=require("./custom-class-d8a5e95d.js"),disabled=require("./disabled-5eb4fde5.js"),hideLabel=require("./hide-label-1783d2a4.js"),icons=require("./icons-3917f9e0.js"),label=require("./label-d84e4f92.js"),tooltipAlign=require("./tooltip-align-70093437.js");require("./dev.utils-58fde089.js"),require("./index-bf4a6924.js"),require("./tslib.es6-16e4524f.js"),require("./clsx-dd4d6dd1.js"),require("./InternalUnderlinedBadgeText-64b5e0e0.js"),require("./common-1ab929ac.js"),require("./align-f4f3dfb6.js");const validateAriaControls=(t,e)=>{prop_validators.watchString(t,"_ariaControls",e)},validateAriaSelected=(t,e)=>{prop_validators.watchBoolean(t,"_ariaSelected",e)},validateButtonCallbacks=(t,e)=>{prop_validators.watchValidator(t,"_on",(t=>"object"==typeof t&&null!==t),new Set(["ButtonCallbacksPropType {Events.onClick, Events.onMouseDown}"]),e)},buttonTypePropTypeOptions=["button","reset","submit"],validateButtonType=(t,e)=>{prop_validators.watchValidator(t,"_type",(t=>"string"==typeof t&&buttonTypePropTypeOptions.includes(t)),new Set([`KoliBriButtonType {${buttonTypePropTypeOptions.join(", ")}`]),e)},buttonVariantPropTypeOptions=["primary","secondary","normal","tertiary","danger","ghost","custom"],validateButtonVariant=(t,e)=>{prop_validators.watchValidator(t,"_variant",(t=>"string"==typeof t&&buttonVariantPropTypeOptions.includes(t)),new Set([`KoliBriButtonVariant {${buttonVariantPropTypeOptions.join(", ")}`]),e,{defaultValue:"normal"})},KolButtonWc=class{async kolFocus(){var t;null===(t=this.buttonRef)||void 0===t||t.focus()}render(){var t,e;const a=reuse.showExpertSlot(this.state._label),i=Boolean(null===(e=null===(t=this.state._ariaDescription)||void 0===t?void 0:t.trim())||void 0===e?void 0:e.length),s=this.state._accessKey||this.state._shortKey;return index.h(index.Host,{key:"9229fafa55f157524e578e996dc2f4ed6776d89c",class:"kol-button-wc"},index.h("button",Object.assign({key:"ab8e6a81d07ebbaeac72510de40e728ee4bfb47d",ref:this.catchRef,accessKey:this.state._accessKey||void 0,"aria-controls":this.state._ariaControls,"aria-describedby":i?this.internalDescriptionById:void 0,"aria-expanded":prop_validators.mapBoolean2String(this.state._ariaExpanded),"aria-label":this.state._hideLabel&&"string"==typeof this.state._label?this.state._label:void 0,"aria-selected":prop_validators.mapStringOrBoolean2String(this.state._ariaSelected),class:{button:!0,disabled:!0===this.state._disabled,[this.state._variant]:"custom"!==this.state._variant,[this.state._customClass]:"custom"===this.state._variant&&"string"==typeof this.state._customClass&&this.state._customClass.length>0,"hide-label":!0===this.state._hideLabel},disabled:this.state._disabled,id:this.state._id,name:this.state._name},this.state._on,{onClick:this.onClick,role:this.state._role,tabIndex:this.state._tabIndex,type:this.state._type}),index.h(Span.KolSpanFc,{key:"ac80cc701a605464c052758624104854479722a6",class:"button-inner",badgeText:s,icons:this.state._icons,hideLabel:this.state._hideLabel,label:a?"":this.state._label},index.h("slot",{key:"a31842754a7dea83cfb1994f539c080214643a0e",name:"expert",slot:"expert"}))),index.h(componentNames.KolTooltipWcTag,{key:"05c7dc30dcbb54011f260b1f88b3d6f66335354f","aria-hidden":"true",hidden:a||!this.state._hideLabel,_badgeText:s,_align:this.state._tooltipAlign,_label:"string"==typeof this.state._label?this.state._label:""}),i&&index.h("span",{key:"03ae4ee27c5a5a478325df049367289eb5549b49",class:"visually-hidden",id:this.internalDescriptionById},this.state._ariaDescription))}constructor(t){index.registerInstance(this,t),this.internalDescriptionById=dev_utils.nonce(),this.catchRef=t=>{this.buttonRef=t},this.onClick=t=>{var e,a;"submit"===this.state._type?controller.propagateSubmitEventToForm({form:this.host,ref:this.buttonRef}):"reset"===this.state._type?controller.propagateResetEventToForm({form:this.host,ref:this.buttonRef}):(events.stopPropagation(t),events.tryToDispatchKoliBriEvent("click",this.host,this.state._value),this.controller.setFormAssociatedValue(this.state._value),"function"==typeof(null===(e=this.state._on)||void 0===e?void 0:e.onClick)&&(prop_validators.setEventTarget(t,this.buttonRef),null===(a=this.state._on)||void 0===a||a.onClick(t,this.state._value)))},this._accessKey=void 0,this._ariaControls=void 0,this._ariaDescription=void 0,this._ariaExpanded=void 0,this._ariaSelected=void 0,this._customClass=void 0,this._disabled=!1,this._hideLabel=!1,this._icons=void 0,this._id=void 0,this._label=void 0,this._name=void 0,this._on=void 0,this._role=void 0,this._shortKey=void 0,this._syncValueBySelector=void 0,this._tabIndex=void 0,this._tooltipAlign="top",this._type="button",this._value=void 0,this._variant="normal",this.state={_icons:{},_label:"",_on:{},_type:"button",_variant:"normal"},this.controller=new associated_controller.AssociatedInputController(this,"button",this.host)}validateAccessKey(t){accessAndShortKey.validateAccessKey(this,t),accessAndShortKey.validateAccessAndShortKey(t,this._shortKey)}validateAriaControls(t){validateAriaControls(this,t)}validateAriaDescription(t){ariaExpanded.validateAriaDescription(this,t)}validateAriaExpanded(t){ariaExpanded.validateAriaExpanded(this,t)}validateAriaSelected(t){validateAriaSelected(this,t)}validateCustomClass(t){customClass.validateCustomClass(this,t)}validateDisabled(t){disabled.validateDisabled(this,t)}validateHideLabel(t){hideLabel.validateHideLabel(this,t)}validateIcons(t){icons.validateIcons(this,t)}validateId(t){prop_validators.watchString(this,"_id",t)}validateLabel(t){label.validateLabelWithExpertSlot(this,t,{required:!0})}validateName(t){this.controller.validateName(t)}validateOn(t){validateButtonCallbacks(this,t)}validateRole(t){ariaExpanded.validateAlternativeButtonLinkRole(this,t)}validateShortKey(t){accessAndShortKey.validateShortKey(this,t),accessAndShortKey.validateAccessAndShortKey(this._accessKey,t)}validateSyncValueBySelector(t){this.controller.validateSyncValueBySelector(t)}validateTabIndex(t){accessAndShortKey.validateTabIndex(this,t)}validateTooltipAlign(t){tooltipAlign.validateTooltipAlign(this,t)}validateType(t){validateButtonType(this,t)}validateValue(t){prop_validators.setState(this,"_value",t),this.controller.setFormAssociatedValue(this.state._value)}validateVariant(t){validateButtonVariant(this,t)}componentWillLoad(){this.validateAccessKey(this._accessKey),this.validateAriaControls(this._ariaControls),this.validateAriaDescription(this._ariaDescription),this.validateAriaExpanded(this._ariaExpanded),this.validateAriaSelected(this._ariaSelected),this.validateCustomClass(this._customClass),this.validateDisabled(this._disabled),this.validateHideLabel(this._hideLabel),this.validateIcons(this._icons),this.validateId(this._id),this.validateLabel(this._label),this.validateName(this._name),this.validateOn(this._on),this.validateRole(this._role),this.validateShortKey(this._shortKey),this.validateSyncValueBySelector(this._syncValueBySelector),this.validateTabIndex(this._tabIndex),this.validateTooltipAlign(this._tooltipAlign),this.validateType(this._type),this.validateValue(this._value),this.validateVariant(this._variant),accessAndShortKey.validateAccessAndShortKey(this._accessKey,this._shortKey)}get host(){return index.getElement(this)}static get watchers(){return{_accessKey:["validateAccessKey"],_ariaControls:["validateAriaControls"],_ariaDescription:["validateAriaDescription"],_ariaExpanded:["validateAriaExpanded"],_ariaSelected:["validateAriaSelected"],_customClass:["validateCustomClass"],_disabled:["validateDisabled"],_hideLabel:["validateHideLabel"],_icons:["validateIcons"],_id:["validateId"],_label:["validateLabel"],_name:["validateName"],_on:["validateOn"],_role:["validateRole"],_shortKey:["validateShortKey"],_syncValueBySelector:["validateSyncValueBySelector"],_tabIndex:["validateTabIndex"],_tooltipAlign:["validateTooltipAlign"],_type:["validateType"],_value:["validateValue"],_variant:["validateVariant"]}}};exports.kol_button_wc=KolButtonWc;